package com.eactive.eai.transformer.transform;

import com.eactive.eai.transformer.layout.Item;

public class DefaultValue {
    private int valueId;
    private int transformId;
    private String itemPath;
    private int itemId;
    private String description;
    private int typeId;
    private Object value;
    private Item item;

    public int getValueId() {
        return valueId;
    }

    public void setValueId(int valueId) {
        this.valueId = valueId;
    }

    public int getTransformId() {
        return transformId;
    }

    public void setTransformId(int transformId) {
        this.transformId = transformId;
    }

    public String getItemPath() {
        return itemPath;
    }

    public void setItemPath(String itemPath) {
        this.itemPath = itemPath;
    }

    public int getItemId() {
        return itemId;
    }

    public void setItemId(int itemId) {
        this.itemId = itemId;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public int getTypeId() {
        return typeId;
    }

    public void setTypeId(int typeId) {
        this.typeId = typeId;
    }

    public Object getValue() {
        return value;
    }

    public void setValue(Object value) {
        this.value = value;
    }

    public Item getItem() {
        return item;
    }

    public void setItem(Item item) {
        this.item = item;
    }

    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("DefaultValue[ valueId=").append(valueId);
        sb.append(", transformId=").append(transformId);
        sb.append(", itemPath=").append(itemPath);
        sb.append(", itemId=").append(itemId);
        sb.append(", value=").append(value);
        sb.append(", typeId=").append(typeId);
        sb.append(", description=").append(description);
        sb.append(" ]");

        return sb.toString();
    }
}
